Subject: Protocol Action: 'NXDOMAIN really means there is nothing underneath' to Proposed Standard (draft-ietf-dnsop-nxdomain-cut-05.txt)

From: The IESG <[email-masked]>
Date: Tue, 20 Sep 2016 06:31:31 -0700

The IESG has approved the following document:
- 'NXDOMAIN really means there is nothing underneath'
  (draft-ietf-dnsop-nxdomain-cut-05.txt) as Proposed Standard

This document is the product of the Domain Name System Operations Working
Group.

The IESG contact persons are Benoit Claise and Joel Jaeggli.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-dnsop-nxdomain-cut/

Technical Summary
This document clearly states that when a DNS resolver receives the response code of NXDOMAIN, it means that the domain name queried AND ALL THE NAMES UNDER IT do not exist. Currently this is an ambitious area where behavior varies depending on implementation.

The document updates Section 5 of RFC2308, and attempts to clarify RFC1034

Proposed Standard was chosen as it updates existing Standards.

Working Group Summary

This document was reviewed and discussed both in DNSOP, but also other DNS-releated mailing lists.  The topic of strongly defining what happens with a NXDOMAIN and below that, especially with root TLD servers. There was strong consensus to finally address outstanding issues in old standards.